// vert //

flat out uint id, select;

void main(void) {
	id = qgl_ObjectID;
	select = qgl_ObjectSelected;
	gl_Position = qgl_ftransform();
}


// frag //

flat in uint id, select;

void main(void) {
	qgl_FragData[0] = unpackUnorm4x8(id);
	qgl_FragData[1] = vec4(select);
}
